RSA Struct Reference

RSA algorithm. More...

`#include <rsa.h>`

Inheritance diagram for RSA:

## Public Types

typedef RSAFunction | PublicKey
typedef InvertibleRSAFunction | PrivateKey

## Static Public Member Functions

static const char * | StaticAlgorithmName ()

## Detailed Description

RSA algorithm.

Since
  Crypto++ 1.0

Definition at line 160 of file rsa.h.

## Member Typedef Documentation

## PublicKey

typedef RSAFunction RSA::PublicKey

Definition at line 163 of file rsa.h.

## PrivateKey

typedef InvertibleRSAFunction RSA::PrivateKey

Definition at line 164 of file rsa.h.

## Member Function Documentation

## StaticAlgorithmName()

static const char * RSA::StaticAlgorithmName | ( |  | ) |

inline static

Definition at line 162 of file rsa.h.

The documentation for this struct was generated from the following file:

- rsa.h